/*
  ceil_api.c

  Useful functions for accessing ceilometer data files
  All use the prefix LC, which stands for lidar ceilometer

  R J Hogan, 15 Sept 2000
*/

#include <math.h>
#include "ceil.h"

void
LCUsage(LCData *data)
{
  char *program_name = "{program}";

  if (data->argv) {
    program_name = data->argv[0];
  }

  CHILPrintf("Usage:\n"
	     "   %s [file1.dat file2.dat ...] [options]\n"
	     " (if no files are specified, data is read from standard input)",
	     program_name);
  return;
}

void
LCOptions(LCData *data)
{
  CHILPrintf("\n"
             "General data processing options:\n"
	     "      -averays n  average n rays\n"
	     "     -avegates n  average n gates\n"
	     "      -verbose    display raster and file information\n"
	     "        -quiet    display no information except errors\n"
	     "         -date n  only accept data written on date n (YYYYMMDD)\n"
	     "  -noisefactor f  set noise rejection threshold (default 3)\n",
	     "\n");
  exit(0);
}

int
LCInit(int argc, char **argv, LCData *data)
{

}

int
LCAdvance(LCData *data)
{

}

int
LCFetchRay(LCData *data)
{

}

void
LCEnd(LCData *data)
{

}
