/*
  ceil_process.c

  Useful functions for accessing ceilometer data files
  All use the prefix LC, which stands for lidar ceilometer

  R J Hogan, 10 May 1999
*/

#include <math.h>
#include "ceil.h"

/* The following performs a so-called Klett Inversion on the backscatter
   profile assuming a fixed ratio between extinction and backscatter that
   is an argument to the function. We assume the gate spacing is constant */
int
LCKlettInversion(LCBackscatterProfile *profile,float ext_to_bs)
{
  double tau=0,dz;
  int i;

  dz= (profile->range[1]-profile->range[0]);
  for (i=0;i<profile->ngates;i++) {
    tau += dz*(profile->alpha[i] = ext_to_bs * profile->beta[i] * 1e-7 
	       * exp(2*tau));
    if (tau < 0 ) tau=0;
  }
  return 0;
}
